package ch.zhaw.pm2.racetrack.strategy;

import ch.zhaw.pm2.racetrack.PositionVector;
import ch.zhaw.pm2.racetrack.Track;

import java.util.ArrayList;
import java.util.List;

public class PathFinderMoveStrategy implements MoveStrategy{
    private Track track;
    private int carIndex;
    private List<PositionVector.Direction> moveList;
    private int pointer;


    public PathFinderMoveStrategy(Track track, int carIndex) {
        this.track = track;
        this.carIndex = carIndex;
        createMoveList();
        pointer = -1;
    }

    private void createMoveList(){
        moveList = new ArrayList<>();
    }



    @Override
    public PositionVector.Direction nextMove() {
        pointer += 1;
        //TODO: Check if crash. if yes --> createMoveList();
        if (pointer < moveList.size()) {
            return moveList.get(pointer);
        }
        return null;
    }


}
